org.bdgenomics.adam.rdd.fragment

# InterleavedFASTQInFormatter

#### object InterleavedFASTQInFormatter extends InFormatterCompanion[Fragment, FragmentRDD, InterleavedFASTQInFormatter] with Serializable

InFormatter companion that creates an InFormatter that writes interleaved FASTQ.

Linear Supertypes
Serializable, Serializable, InFormatterCompanion[Fragment, FragmentRDD, InterleavedFASTQInFormatter], AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. InterleavedFASTQInFormatter
2. Serializable
3. Serializable
4. InFormatterCompanion
5. AnyRef
6. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

6. #### val WRITE_ORIGINAL_QUAL: String

   Hadoop configuration path to check for a boolean value indicating whether the current or original read qualities should be written.

   Hadoop configuration path to check for a boolean value indicating whether the current or original read qualities should be written. True indicates to write the original qualities. The default is false.

7. #### val WRITE_SUFFIXES: String

   Hadoop configuration path to check for a boolean value indicating whether to write the "/1" "/2" suffixes to the read name that indicate whether a read is first or second in a pair.

   Hadoop configuration path to check for a boolean value indicating whether to write the "/1" "/2" suffixes to the read name that indicate whether a read is first or second in a pair. Default is false (no suffixes).

8. #### def apply(gRdd: FragmentRDD): InterleavedFASTQInFormatter

   Builds an InterleavedFASTQInFormatter to write Interleaved FASTQ.

   Builds an InterleavedFASTQInFormatter to write Interleaved FASTQ.

   gRdd

     GenomicRDD of Fragments. Used to get HadoopConfiguration.

   returns

     Returns a new Interleaved FASTQ InFormatter.

   Definition Classes
     InterleavedFASTQInFormatter → InFormatterCompanion

9. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

10. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

11. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

12. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

13. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

14. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

15. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

16. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

17. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

18. #### final def notify(): Unit

    Definition Classes
      AnyRef

19. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

20. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

21. #### def toString(): String

    Definition Classes
      AnyRef → Any

22. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

23. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

24. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Serializable

### Inherited from InFormatterCompanion[Fragment, FragmentRDD, InterleavedFASTQInFormatter]

### Inherited from AnyRef

### Inherited from Any

### Ungrouped